## scaricatore

![version](https://git.pweapon.org/odo/dl.emersa.it/badges/release.svg "version")
![status](https://git.pweapon.org/odo/dl.emersa.it/badges/workflows/ci.yaml/badge.svg "status")

![image](./static/screen.webp "screen")

It's a svelte(kit) frontend that uses `yt-dlp` to let the user download things from the web.

### Getting started

- Clone the repo
- Run `npm install` (you have to have node installed)
- Run `npm run download-yt-dlp`
- Copy `.env.example` to `.env`
- Change `.env` to set `YTDLP_PATH` to the yt-dlp binary previously downloaded
- Run `npm run dev`
- Now you can write code

### Missing

- Proper logs (I don't like them, not useful for production build)
- Containerfile for container build
- Source spotify (spotdl)
- Parse URL info without `youtube-dl-exec`
